//*****************************************************************************
//
//	Kommandointerpreter fuer CAN
//
//*****************************************************************************
#include <iom128v.h>
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include "CANkom.h"
#include "watchdog.h"
#include "can.h"
#include "proto0.h"

extern char c_txstr[128];


//*****************************************************************************
//	CANKommand - Kommandointerpreter
//  Input:	-
//	Output:	-
//*****************************************************************************
void CANKommandointerpreter(void)
{
CANMSG * pCANMSG = NULL;

  while(CAN_RXTEST())
  {
    pCANMSG = CAN_RECEIVE(pCANMSG);

//sende_WertL(pCANMSG->can_ADR); //TEST
	
	if (pCANMSG)
	 {
	    //Nachrichten auswerten

        CANBEFEHL_READ(pCANMSG);
	 
	    pCANMSG = NULL;
     } 
  } 
}


//*****************************************************************************
//	CANKommand - Befehle
//  Input:	-
//	Output:	-
//*****************************************************************************
unsigned char CANBEFEHL_READ(CANMSG * pCANMSG)
{
char c_txt[10];

   strcpy(c_txstr,"READ:");
      
   ltoa(c_txt,pCANMSG->can_ADR,16);
   strcat(c_txstr,c_txt);
   strcat(c_txstr,",");

   itoa(c_txt,pCANMSG->uc_EXTID,16);
   strcat(c_txstr,c_txt);
   strcat(c_txstr,",");
    
   itoa(c_txt,pCANMSG->uc_TYPE,16);
   strcat(c_txstr,c_txt);
   strcat(c_txstr,",");

   itoa(c_txt,pCANMSG->uc_len,16);
   strcat(c_txstr,c_txt);
   strcat(c_txstr,",");

   itoa(c_txt,pCANMSG->uc_DB0,16);
   strcat(c_txstr,c_txt);
   strcat(c_txstr," ");
  
   itoa(c_txt,pCANMSG->uc_DB1,16);
   strcat(c_txstr,c_txt);
   strcat(c_txstr," ");

   itoa(c_txt,pCANMSG->uc_DB2,16);
   strcat(c_txstr,c_txt);
   strcat(c_txstr," ");
   
   itoa(c_txt,pCANMSG->uc_DB3,16);
   strcat(c_txstr,c_txt);
   strcat(c_txstr," ");

   itoa(c_txt,pCANMSG->uc_DB4,16);
   strcat(c_txstr,c_txt);
   strcat(c_txstr," ");
  
   itoa(c_txt,pCANMSG->uc_DB5,16);
   strcat(c_txstr,c_txt);
   strcat(c_txstr," ");

   itoa(c_txt,pCANMSG->uc_DB6,16);
   strcat(c_txstr,c_txt);
   strcat(c_txstr," ");
   
   itoa(c_txt,pCANMSG->uc_DB7,16);
   strcat(c_txstr,c_txt);
   strcat(c_txstr," ");
   
  sende_UART0(c_txstr);  
  return(1);
}

