//*****************************************************************************
//
//	Grundinitialisierung des ATmega
//
//*****************************************************************************

#include <io8535.h>

//*****************************************************************************
//	Initialisierung nach RESET
//  Input:	-
//	Output:	-
//*****************************************************************************


void init(void)
{
// Input/Output Ports initialization
// Port A
	DDRA=0xFF; 
	PORTA=0x00;

// Port B
	DDRB=0xFF;
	PORTB=0x00;

// Port C
	DDRC=0xFF;
	PORTC=0x00;

	
// Port D
	DDRD=0xFF;
	PORTD=0x00;

// Timer/Counter 0 initialization
// Clock source: System Clock
// Clock value: Timer 0 Stopped
// Mode: Output Compare
// OC0 output: Disconnected
	TCCR0=0x00;
	
	TCNT0=0x00;
	

// Timer/Counter 1 initialization
// Clock source: System Clock
// Clock value: Timer 1 Stopped
// Mode: Output Compare
// OC1A output: Discon.
// OC1B output: Discon.
// Noise Canceler: Off
// Input Capture on Falling Edge
	TCCR1A=0x00;
	TCCR1B=0x00;
	TCNT1H=0x00;
	TCNT1L=0x00;
	OCR1AH=0x00;
	OCR1AL=0x00;
	OCR1BH=0x00;
	OCR1BL=0x00;

	
	

// Analog Comparator initialization
// Analog Comparator: Off
// Analog Comparator Input Capture by Timer/Counter 1: Off
	ACSR=0x80;
}
