//*****************************************************************************
//
//	LED-Anzeige
//
//*****************************************************************************
#include <io8535.h>


//*****************************************************************************
//	LED - Init
//  Input:  -	
//	Output:	-
//*****************************************************************************
void led_init(void)
{
   DDRA=0xFF;
   PORTA=0xFF;
}


//*****************************************************************************
//	LED - PORT setzen
//  Input:  -	
//	Output:	-
//*****************************************************************************
void led_port(char * pc_str)
{
unsigned char uc_x;

  if (strlen(pc_str) == 8)
   {
     uc_x = 0;
	 if (pc_str[0] != '1') uc_x |= 0x80;
	 if (pc_str[1] != '1') uc_x |= 0x40;
	 if (pc_str[2] != '1') uc_x |= 0x20;
	 if (pc_str[3] != '1') uc_x |= 0x10;
	 if (pc_str[4] != '1') uc_x |= 0x08;
	 if (pc_str[5] != '1') uc_x |= 0x04;
	 if (pc_str[6] != '1') uc_x |= 0x02;
	 if (pc_str[7] != '1') uc_x |= 0x01;
	 
	 //PORTA = 0xFF ^ uc_x;
	 PORTA = uc_x;
   }
}

