#ifndef _m128int_h
#define _m128int_h

// Interrupt vectors definitions
#define RESET       1
#define EXT_INT0    2
#define EXT_INT1    3
#define EXT_INT2    4
#define EXT_INT3    5
#define EXT_INT4    6
#define EXT_INT5    7
#define EXT_INT6    8
#define EXT_INT7    9
#define TIM2_COMP  10
#define TIM2_OVF   11
#define TIM1_CAPT  12
#define TIM1_COMPA 13
#define TIM1_COMPB 14
#define TIM1_OVF   15
#define TIM0_COMP  16
#define TIM0_OVF   17
#define SPI_STC    18
#define UART0_RXC  19
#define UART0_DRE  20
#define UART0_TXC  21
#define ADC_INT    22
#define EE_RDY     23
#define ANA_COMP   24

//folgende Vektoren sind nur im ATmega128 - Mode vorhanden

#define TIM1_COMPC 25
#define TIM3_CAPT  26
#define TIM3_COMPA 27
#define TIM3_COMPB 28
#define TIM3_COMPC 29
#define TIM3_OVF   30
#define UART1_RXC  31
#define UART1_DRE  32
#define UART1_TXC  33
#define TWI_INT	   34
#define SPM_RDY	   35 

#define _BYTE unsigned char
#endif
