//*****************************************************************************
//
//	CAN-Knoten / Ansteuerung
// 
//  LB 0x0000
//  FB 0x003610 
//*****************************************************************************

#include <iom128v.h>
#include "init.h"
#include "watchdog.h"
#include "m128int.h"
#include <string.h>

#include "uart0.h"
#include "proto0.h"
#include "kommand0.h"

#include "spibus.h"
#include "can.h"
#include "cankom.h"


//*****************************************************************************
//	Main
//  Input:	-
//	Output:	-
//*****************************************************************************
void main(void)
{
  INIT();
  UART0_INIT();
  
  CAN_OPEN(CAN_BAUD_500K,CAN_INIT_TYPE_EX);

  watchdog_reset();
//  watchdog_set(0x07);  
//  watchdog_enable();   

  while(1)
  {
     watchdog_reset();

	 //Empfang von seriellen Schnittstellen
     if (UART0_RXTest()) receive_uart0();
	 //Empfang von CAN Bus
	 if (CAN_RXTEST()) CANKommandointerpreter();
  } //while 
}

