//*****************************************************************************
//
//	SPI-BUS
//
//*****************************************************************************
#ifndef		_SPIBUS_H_
#define		_SPIBUS_H_

#define     SPI_MSB_FIRST          0x00
#define     SPI_LSB_FIRST          0x20
#define     SPI_MASTER             0x10 
#define     SPI_CLK_POLARITY       0x08     
#define     SPI_CLK_PHASE          0x04     
#define     SPI_CLK_DIV4           0x00
#define     SPI_CLK_DIV16          0x01
#define     SPI_CLK_DIV64          0x02
#define     SPI_CLK_DIV128         0x03

void SPI_Init(unsigned char CReg);
void SPI_Write(unsigned char byte);
unsigned char SPI_Read(unsigned char uc_x);
unsigned char SPI_ReadData(void);

#endif
