//*****************************************************************************
//
//	UART des ATmega Interrupt gesteuert
//
//*****************************************************************************
#ifndef _UART_H_
#define _UART_H_


//*****************************************************************************
//	INT's
//*****************************************************************************

void UART_RX_INT(void); 				 //RX-Interrupt
void UART_DRE_INT(void);                 //TX-Interrupt

//*****************************************************************************
//	UART - Fkt.
//*****************************************************************************
void UART_INIT(void);
void UART_TXString(char * pc_str);
void UART_TXStr(char * pc_str);         //ohne CRC
char * UART_RXString(char * pc_str);
char * UART_RXStr(char * pc_str);		//ohne CRC
unsigned char UART_RXTest(void);

void UART_TX_BIISString(char * pc_befehl,char * pc_str);
int UART_RX_BIISString(char * pc_Befehl,char * pc_str);

unsigned int CrcBerechnen(char *pc_str);
unsigned int CrcCheckKommando(char *pc_str);
char * CrcAnhaengen(char *pc_dst, char *pc_src);
char * CrcEntfernen(char *pc_src);

char * ASCII_BIIS(char *pc_dst, char *pc_src);
char * BIIS_ASCII(char *pc_dst, char *pc_src);


#endif